/*
 * Main.java
 *
 * Created on Utorok, 2004, oktber 12, 20:38
 */

/**
 *
 * @author  m
 */

import java.awt.*;
import java.awt.image.*;
import java.awt.event.*;
import java.applet.Applet;
import java.util.*;
import javax.swing.*;

public class MainApplet extends JApplet implements ActionListener
{
	MyPanel pan;
	/** Initialization method that will be called after the applet is loaded
	 *  into the browser.
	 */
	JButton startBut,stopBut;
	JCheckBox pauseBut,zBuffBut;
	JRadioButton ortho,perspektiv;
	public void init()
	{
		initLookAndFeel();
		getContentPane().setLayout(null);
		
		ortho = new JRadioButton("Flat");
		ortho.addActionListener(this);
		perspektiv = new JRadioButton("Smooth");
		perspektiv.addActionListener(this);
		perspektiv.setSelected(true);
		
		JPanel panel = new JPanel();
		panel.setLayout(new GridLayout(1,2));
		ButtonGroup skupina = new ButtonGroup();

		panel.add(ortho);
		skupina.add(ortho);
		panel.add(perspektiv);
		skupina.add(perspektiv);
		getContentPane().add(panel);
		panel.setBounds(270,  5, 140, 20);
		
		startBut = new JButton("Start");
		startBut.addActionListener(this);
		getContentPane().add(startBut);
		startBut.setBounds(10,  5, 65, 20);
		
		stopBut = new JButton("Stop");
		stopBut.addActionListener(this);
		getContentPane().add(stopBut);
		stopBut.setBounds(80,  5, 60, 20);
		
		pauseBut = new JCheckBox("Pause");
		pauseBut.addActionListener(this);
		getContentPane().add(pauseBut);
		pauseBut.setBounds(145,  5, 65, 20);
		
		zBuffBut = new JCheckBox("z-buf");
		zBuffBut.setSelected(true);
		zBuffBut.addActionListener(this);
		getContentPane().add(zBuffBut);
		zBuffBut.setBounds(210,  5, 55, 20);
				
		pan = new MyPanel();
		getContentPane().add(pan);
		pan.setBounds(10, 30, 400, 300);
		this.setSize(420, 340);
	}
	
	public void start()
	{
		pan.start();
	}
	
	public void stop()
	{
		pan.stop();
	}
	
	public void actionPerformed(java.awt.event.ActionEvent e)
	{
		String arg = e.getActionCommand();
		if("Start".equals(arg))
		{
			start();
		}
		else if("Pause".equals(arg))
		{
			pan.pause = pauseBut.getSelectedObjects()!=null;
		}
		else if("Stop".equals(arg))
		{
			stop();
		}
		else if("Flat".equals(arg))
		{
			pan.flat = true;
		}
		else if("Smooth".equals(arg))
		{
			pan.flat = false;
		}
		else if("z-buf".equals(arg))
		{
			pan.zBufAppEnabled = zBuffBut.getSelectedObjects()!=null;
		}
		
	}
	
	public void initLookAndFeel()
	{
		// Force SwingApplet to come up in the System L&F
		String laf = UIManager.getSystemLookAndFeelClassName();
		try 
		{
		//	UIManager.setLookAndFeel(laf);
			 UIManager.setLookAndFeel(UIManager.getCrossPlatformLookAndFeelClassName());
			// UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
			// UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
			// UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		} 
		catch (UnsupportedLookAndFeelException exc) 
		{
			System.err.println("Warning: UnsupportedLookAndFeel: " + laf);
		}
		catch (Exception exc) 
		{
			System.err.println("Error loading " + laf + ": " + exc);
		}
	}
}
