/*
 * Material.java
 *
 * Created on Nedee, 2004, oktber 31, 15:26
 */

package graphics.device;
import graphics.math.*;

/**
 *
 * @author  Marek Mizanin
 */
public class Material
{
	public int ambient;
	public int diffuse;
	public int specular;
	public float  shininess;	// specular exponent
	public int emission;

	public Material()
	{
		ambient = 0;
		diffuse = 0x7f7f7f;
		specular = 0xffffff;
		shininess = 32.f;
		emission = 0;
	}
	public Material(Material a)
	{
		ambient = a.ambient;
		diffuse = a.diffuse;
		specular = a.specular;
		shininess = a.shininess;
		emission = a.emission;
	}
	public void set(Material a)
	{
		ambient = a.ambient;
		diffuse = a.diffuse;
		specular = a.specular;
		shininess = a.shininess;
		emission = a.emission;		
	}
}
